std::uniform_int_distribution< _IntType >::param_type(3cxx)

NAME
std::uniform_int_distribution< _IntType >::param_type

SYNOPSIS

#include <uniform_int_dist.h>

  Public Types

typedef uniform_int_distribution< _IntType > distribution_type

  Public Member Functions

param_type (_IntType __a, _IntType __b=numeric_limits< _IntType >::max())
result_type a () const
result_type b () const

  Friends

bool operator!= (const param_type &__p1, const param_type &__p2)
bool operator== (const param_type &__p1, const param_type &__p2)

Detailed Description

  template<typename _IntType = int>
struct std::uniform_int_distribution< _IntType >::param_type"Parameter type.

Definition at line 67 of file uniform_int_dist.h.

Member Typedef Documentation

  template<typename _IntType = int> typedef uniform_int_distribution<_IntType> std::uniform_int_distribution< _IntType >::param_type::distribution_type

Definition at line 69 of file uniform_int_dist.h.

Constructor & Destructor Documentation

  template<typename _IntType = int> std::uniform_int_distribution< _IntType >::param_type::param_type () [inline]

Definition at line 71 of file uniform_int_dist.h.

  template<typename _IntType = int> std::uniform_int_distribution< _IntType >::param_type::param_type (_IntType __a, _IntType __b = numeric_limits<_IntType>::max()) [inline], [explicit]

Definition at line 74 of file uniform_int_dist.h.

Member Function Documentation

  template<typename _IntType = int> result_type std::uniform_int_distribution< _IntType >::param_type::a () const [inline]

Definition at line 82 of file uniform_int_dist.h.

  template<typename _IntType = int> result_type std::uniform_int_distribution< _IntType >::param_type::b () const [inline]

Definition at line 86 of file uniform_int_dist.h.

Friends And Related Symbol Documentation

  template<typename _IntType = int> bool operator!= (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 94 of file uniform_int_dist.h.

  template<typename _IntType = int> bool operator== (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 90 of file uniform_int_dist.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.